@import 'bootstrap-theme';

/* Reset default styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.secondary-nav {
    display: flex;
    justify-content: flex-end;
    flex-direction: row;
    align-items: right;
    padding-bottom: 2.2rem;
/* Set body height to 10% */
body {
    height: 
}

/* Set box-sizing to border-box for all elements */
html {
    box-sizing: border-box;
}

}


}

.primary-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    height: auto;
    max-width: 228px;
    margin-right: 12px;
} 

.nav-items li a {
    color: white;
    text-decoration: none;
    white-space: nowrap;
    transition: 0.3s;
    transition-timing-function: cubic-bezier(.58,.3,.005,1);
}

.nav-items li {
    text-decoration: none;
}


.nav-items li a:hover {
    color: #0AB3D2;
}

.nav{
    display: flex;
    justify-content: space-between;
}

.header nav ul li:not(:last-child) {
    margin-right: calc(clamp(0.8rem, calc(calc(8 / 1008)* calc(100vw - 60rem) + 0.8rem), 1.6rem)* 2.25);
}

.nav-items{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    list-style-type: none;
}

.discover-btn {
    background-color: #E7F7FB;
    border-radius: 1.33em;
    padding: 1.11em 2.25em;
    color: #0AB3D2;
    border: none;
    padding: 20px 40px;
    cursor: pointer;
    font-family: "PP Neue Montreal TT", sans-serif;
    font-weight: 500;
    font-size: 18px;
    line-height: 1.75;
    white-space: nowrap;
    cursor: pointer;
    transition: 0.8s;
}

.discover-btn:hover{
    background-color: #0AB3D2;
    color: #ffffff;
}

.nav-mobile {
    display: none;
    cursor: pointer;
    font-size: 30px;
    align-items: center;
}

.sidebar {
    width: 0;
    height: 100vh;
    padding-left: clamp(2.4rem, calc(calc(96 / 1008)* calc(100vw - 60rem) + 2.4rem), 12rem);
    background: #24276A;
    text-align: left;
    font-family: "PP Neue Montreal TT", sans-serif;
    font-size: 16px;
    line-height: 1.75;
    transform: rotate3d(0, 1, 0, 90deg);
    transform-origin: left center;
    transition: .5s;
    position: absolute;
    z-index: 999;
}

.primary-sidebar {
    font-size: calc(clamp(1.6rem, calc(calc(12 / 1008)* calc(100vw - 60rem) + 1.6rem), 2.2rem)* 1.25);
    margin-top: auto;
}

.secondary-sidebar {
    font-size: calc(clamp(1.2rem, calc(calc(6 / 1008)* calc(100vw - 60rem) + 1.2rem), 1.8rem)* 1.25);
    margin-bottom: auto !important;
}

.sidebar.open {
    transform: rotate3d(0, 0, 1, 0deg);
    width: 100%;
}

.sidebar ul {
    list-style: none;
}

.sidebar a:hover,
.sidebar a.active {
    color: #0AB3D2;
}

.sidebar li a {
    color: white;
    text-decoration: none;
    padding: 10px 15px;
}

.primary-sidebar li a {
    padding: 10px 15px;
}

.secondary-sidebar li a {
    padding: 0 15px;
}

.toggler-navbar {
    margin-left: 35px;
    display: flex;
    align-items: center;
}

.hamburger-menu {
    width: 25px;
    position: relative;
    cursor: pointer;
}

.hamburger-menu span {
    display: block;
    height: 2px;
    width: 100%;
    background: #B7B8CE;
    opacity: 1;
    left: 0;
    transition: all .3s;
    position: relative;
}

.hamburger-menu span + span {
    margin-top: 7px;
}

.sidebar-elements {
    padding-top: 8rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: left;
    gap: 50px;
    line-height: 1.75;
}

/* Mobile styles */
@media (max-width: 600px) {
    .secondary-nav {
      display: none;
    }

    .discover-btn {
      display: none;
    }

    .nav-items { 
        display: none; 
    }

    .nav-mobile {
        display: block;
        cursor: pointer;
    }

    .logo {
        max-width: 180px;
        margin-right: 12px;
    }

    .primary-sidebar li a {
        font-size: 28px;
    }

    .secondary-sidebar li a {
        font-size: 22px;
    }

    .sidebar li a { 
        padding: 0;
    }
}

/* Tablet styles */
@media (min-width: 601px) and (max-width: 1400px) {
    .secondary-nav {
        display: none
    }

    .nav-items { 
        display: none; 
    }

    .nav-mobile {
        display: flex;
        cursor: pointer;
    }
}

/* Desktop styles */
@media (min-width: 1401px) {
    .nav-items { 
        display: flex; 
    }

    .nav-mobile {
        display: none;
    }

    .sidebar {
        display: none;
    }
}

.active span:nth-child(1) {
    animation: ease .7s top forwards;
    background: #ffffff;
    height: 1px;
    width: 22px;
}

.not-active span:nth-child(1) {
    animation: ease .7s top-2 forwards;
}

.active span:nth-child(2) {
    animation: ease .7s scaled forwards;
}

.not-active span:nth-child(2) {
    animation: ease .7s scaled-2 forwards;
}

.active span:nth-child(3) {
    animation: ease .7s bottom forwards;
    background: #ffffff;
    height: 1px;
    width: 22px;
}

.not-active span:nth-child(3) {
    animation: ease .7s bottom-2 forwards;
}

@keyframes top {
  0% {
      top: 0;
      transform: rotate(0);
  }
  50% {
      top: 7px;
      transform: rotate(0);
  }
  100% {
      top: 7px;
      transform: rotate(45deg);
  }
}

@keyframes top-2 {
  0% {
      top: 7px;
      transform: rotate(45deg);
  }
  50% {
      top: 7px;
      transform: rotate(0deg);
  }
  100% {
      top: 0;
      transform: rotate(0deg);
  }
}

@keyframes bottom {
  0% {
      bottom: 0;
      transform: rotate(0);
  }
  50% {
      bottom: 10px;
      transform: rotate(0);
  }
  100% {
      bottom: 10px;
      transform: rotate(-45deg);
  }
}

@keyframes bottom-2 {
  0% {
      bottom: 10px;
      transform: rotate(-55deg);
  }
  50% {
      bottom: 10px;
      transform: rotate(0);
  }
  100% {
      bottom: 0;
      transform: rotate(0);
  }
}

@keyframes scaled {
  0% {
      transform: scale(1);
  }
  50% {
      transform: scale(0);
  }
  100% {
      transform: scale(0);
  }
}

@keyframes scaled-2 {
  0% {
      transform: scale(0);
  }
  50% {
      transform: scale(0);
  }
  100% {
      transform: scale(1);
  }
}